Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian Development (http://www.linux-archive.org/debian-development/)
-   -   Make Unicode bugs release critical? (http://www.linux-archive.org/debian-development/488010-make-unicode-bugs-release-critical.html)

Luca Capello 02-11-2011 09:56 AM

Make Unicode bugs release critical?
 
Hi there!

On Fri, 11 Feb 2011 11:14:42 +0100, Miroslav Kure wrote:
> On Fri, Feb 11, 2011 at 09:37:54AM +0000, Lars Wirzenius wrote:
>>
>> However, I'm curious: is there a lot of software that is broken with
>> Unicode, particularly with the UTF-8 encoding? I can't remember anything
>> much in recent times.
>
> Mostly it is just the old stuff like
> - eterm, aterm
> - elvis
> - X tools from the basic package (xman, xmessage, xmore, ...)
> - TeX without additional packages

Plus a2ps (see #180236), something a lot of people use before KSPs, even
if there are various alternatives, some of them already in Debian:

Message-ID: <4D3F1BF6.1060604@sanctuary.nslug.ns.ca>
URL: <http://lists.debian.org/msgid-search/%3c4D3F1BF6.1060604%40sanctuary.nslug.ns.ca%3e>

Everything should be at <http://wiki.debian.org/UTF8BrokenApps>.

Thx, bye,
Gismo / Luca

Roger Leigh 02-11-2011 10:02 AM

Make Unicode bugs release critical?
 
On Fri, Feb 11, 2011 at 11:14:42AM +0100, Miroslav Kure wrote:
> On Fri, Feb 11, 2011 at 09:37:54AM +0000, Lars Wirzenius wrote:
> >
> > However, I'm curious: is there a lot of software that is broken with
> > Unicode, particularly with the UTF-8 encoding? I can't remember anything
> > much in recent times.
>
> Mostly it is just the old stuff like
> - eterm, aterm
> - elvis
> - X tools from the basic package (xman, xmessage, xmore, ...)
> - TeX without additional packages

XeTeX and XeLaTeX allow native UTF-8 input. Should be made the
default, IMO, given how obsolete and broken the "standard" TeX
encodings are. Being able to write in actual text rather than
a lot of illegible incantations was a major revelation, and it's
a bit sad it was in that situation in the first place. It also
sorts out the awful font support, so you can use standard
freetype-registered fonts, again without the pain. Result: a
document you can actually read in the editor!

IMO all those broken terminal emulators, editors and tools should
be put in the bin. There are plenty of non-broken replacements, so
why keep them around to bitrot even further? It's not like it's
going to cause massive inconvenience--they are long obsolete.


Regards,
Roger

--
.'`. Roger Leigh
: :' : Debian GNU/Linux http://people.debian.org/~rleigh/
`. `' Printing on GNU/Linux? http://gutenprint.sourceforge.net/
`- GPG Public Key: 0x25BFB848 Please GPG sign your mail.


All times are GMT. The time now is 10:38 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.